Bug 1159785 - copy&paste with spaces at the end of lines
Summary: copy&paste with spaces at the end of lines
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: konsole
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-03 10:42 UTC by Harald Reindl
Modified: 2015-06-29 23:08 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-06-29 23:08:18 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 188528 None None None Never

Description Harald Reindl 2014-11-03 10:42:08 UTC
for many years now if you copy konsole output to mails lead in strange formatiing because you have endless spaces at the end of each lines (not everytime but in most cases)

the amount of spaces seem to fill to the longest marked line

a workaround is to create a new textfile with kate, copy it there, close kate, open it again and from there paste it to thunderbird - this is very annyoing

Comment 1 Harald Reindl 2015-02-04 20:16:57 UTC
PING - it is really really a bad joke every day over years multiple times need to copy konsole output to a textfile via kate, close it and open it again to get rid of the trailing whitespaces in each line just for select CLI output and paste it into a mail with the middle mouse key

Comment 2 Orion Poplawski 2015-02-04 22:37:00 UTC
See https://bugs.kde.org/show_bug.cgi?id=188528 for some very painful history on this.  I'm afraid I made it worse at one point at well.  I would suggest opening a new bug upstream.  FWIW - I see the same issues.  It depends on the screen mode in use by program generating the output in konsole.

Comment 3 Orion Poplawski 2015-02-04 22:40:40 UTC
Actually, I have the trim trailing spaces option selected, so I don't see that much.  What I usually see are extra line-endings inserted.

Comment 4 Harald Reindl 2015-02-04 22:43:27 UTC
*six years* - WTF?

it depends on calendar day, amount of bees outside the window combined with the degree sun shines and if you blink once or twice while move your head

why?

because it *randomly* happens too my select and paste the output of "cat configfile" into a new composed mail and it's just ridiculous that people answer "i don't see that behavior" - those people not seriously work with the terminal all day long and don't compose much mails with terminal content

Comment 5 Harald Reindl 2015-02-05 21:58:10 UTC
the extra line endings are also pure crap

if have selected this below and inserted it with a middle click in a mail, look at the bottom how it appears finally at the RCPT - it is laughable and unacceptable in 2015 not be able to relieable do copy&paste

root@testserver:~]$ cat /etc/systemd/system/spamassassin.service
[Unit]
Description=Spamassassin Daemon
After=network.service systemd-networkd.service network-online.target
Before=postfix.service

[Service]
Environment="TMPDIR=/tmp"
PermissionsStartOnly=true
ExecStartPre=/usr/bin/find /var/lib/spamassassin/ -type d -exec /bin/chmod 0755 "{}" \;
ExecStartPre=/usr/bin/find /var/lib/spamassassin/ -type f -exec /bin/chmod 0644 "{}" \;
ExecStart=/usr/bin/spamd -c -H --max-children=10 --min-children=1 --min-spare=1 --max-spare=3 --port=10028
ExecReload=/usr/bin/kill -HUP $MAINPID
Environment="LANG=en_GB.UTF-8"
User=sa-milt
Group=sa-milt
Nice=15
StandardOutput=null
StandardError=null
SyslogFacility=mail
Restart=always
RestartSec=1

PrivateTmp=yes
PrivateDevices=yes
NoNewPrivileges=yes
CapabilityBoundingSet=~CAP_AUDIT_CONTROL CAP_AUDIT_WRITE CAP_NET_ADMIN CAP_NET_BIND_SERVICE CAP_SYS_ADMIN CAP_SYS_BOOT CAP_SYS_MODULE CAP_SYS_PTRACE
RestrictAddressFamilies=~AF_APPLETALK AF_ATMPVC AF_AX25 AF_PACKET AF_X25

ReadOnlyDirectories=/etc
ReadOnlyDirectories=/usr

-------- Weitergeleitete Nachricht --------
Betreff: Re: Systemd, Spamassassin, and the Missing Portreserve Package
Datum: Thu, 05 Feb 2015 22:53:32 +0100
Von: Reindl Harald <h.reindl@thelounge.net>
Antwort an: Development discussions related to Fedora <devel@lists.fedoraproject.org>
Organisation: the lounge interactive design
An: devel@lists.fedoraproject.org


Am 05.02.2015 um 22:05 schrieb Tom Rivers:
> On 2/5/2015 15:58, Reindl Harald wrote:
>> why in the world does SA need portreserve?
>
> To be honest, I'm not sure that SA is the package that needs it.  It is
> actually systemd that references it in the spamassassin.service file:
>
> # cat /usr/lib/systemd/system/spamassassin.service
> [Unit]
> Description=Spamassassin daemon
> After=syslog.target network.target
>
> [Service]
> EnvironmentFile=-/etc/sysconfig/spamassassin
> ExecStartPre=-/sbin/portrelease spamd
> ExecStart=/usr/bin/spamd $SPAMDOPTIONS
> StandardOutput=null
> StandardError=null
> Restart=always
>
> [Install]
> WantedBy=multi-user.target

well, thats why the first after install a service is fork the 
systemd-unit in /etc/systemd/system and get rid of cruft

root@testserver:~]$ cat /etc/systemd/system/spamassassin.service
[Unit]
Description=Spamassassin Daemon
After=network.service systemd-networkd.service network-online.target
Before=postfix.service

[Service]
Environment="TMPDIR=/tmp"
PermissionsStartOnly=true
ExecStartPre=/usr/bin/find /var/lib/spamassassin/ -type d -exec 
/bin/chmod 0755 "{}" \;
ExecStartPre=/usr/bin/find /var/lib/spamassassin/ -type f -exec 
/bin/chmod 0644 "{}" \;
ExecStart=/usr/bin/spamd -c -H --max-children=10 --min-children=1 
--min-spare=1 --max-spare=3 --port=10028
ExecReload=/usr/bin/kill -HUP $MAINPID
Environment="LANG=en_GB.UTF-8"
User=sa-milt
Group=sa-milt
Nice=15
StandardOutput=null
StandardError=null 
 

SyslogFacility=mail 
 

Restart=always 
 

RestartSec=1 
 

 
 

PrivateTmp=yes 
 

PrivateDevices=yes 
 

NoNewPrivileges=yes
CapabilityBoundingSet=~CAP_AUDIT_CONTROL CAP_AUDIT_WRITE CAP_NET_ADMIN 
CAP_NET_BIND_SERVICE CAP_SYS_ADMIN CAP_SYS_BOOT CAP_SYS_MODULE 
CAP_SYS_PTRACE
RestrictAddressFamilies=~AF_APPLETALK AF_ATMPVC AF_AX25 AF_PACKET AF_X25

ReadOnlyDirectories=/etc
ReadOnlyDirectories=/usr
___________________________________________________________

Comment 6 Fedora End Of Life 2015-05-29 13:12:39 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 23:08:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.